// DlgIRControl.cpp: 实现文件
//

#include "stdafx.h"
#include "VideoCapture.h"
#include "DlgIRControl.h"
#include "afxdialogex.h"


// CDlgIRControl 对话框

IMPLEMENT_DYNAMIC(CDlgIRControl, CDialogEx)

CDlgIRControl::CDlgIRControl(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_DLG_IRCONTROL, pParent)
{

}

CDlgIRControl::~CDlgIRControl()
{
}

void CDlgIRControl::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CDlgIRControl, CDialogEx)
	ON_WM_SIZE()
END_MESSAGE_MAP()


// CDlgIRControl 消息处理程序


void CDlgIRControl::OnOK()
{
	// TODO: 在此添加专用代码和/或调用基类

	//CDialogEx::OnOK();
}


void CDlgIRControl::OnCancel()
{
	// TODO: 在此添加专用代码和/或调用基类

	//CDialogEx::OnCancel();
}


void CDlgIRControl::AdjustLayout()
{
	// 布局按钮;
	// 75*23,列间隔4像素，左右边距10像素，总共332
	// 行间隔6像素，上下边距20像素；
	CRect rc;
	CWnd* pWnd = GetDlgItem(IDC_BUTTON1);
	pWnd->GetWindowRect(&rc);
	//pWnd->GetClientRect(&rc);

	int start_id = IDC_BUTTON1;
	const int c_interval = 4;	// 列间隔;
	const int r_interval = 6;	// 行间隔;
	for ( int i = 0; i < 60; i++ )
	{
		// 逐个处理;
		pWnd = GetDlgItem(start_id++);
		if ( pWnd )
		{
		}

		if ( i % 4 == 0 )
		{
		}
	}
}

BOOL CDlgIRControl::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO:  在此添加额外的初始化
	AdjustLayout();
	return TRUE;  // return TRUE unless you set the focus to a control
				  // 异常: OCX 属性页应返回 FALSE
}


void CDlgIRControl::OnSize(UINT nType, int cx, int cy)
{
	CDialogEx::OnSize(nType, cx, cy);

	TRACE2("对话框坐标：%d,%d\n", cx, cy);
	// TODO: 在此处添加消息处理程序代码
}
